summaryrefslogtreecommitdiff
path: root/dev-R/tinytex/tinytex-0.40.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-05 12:48:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-05 12:48:33 +0000
commit5d4c09bc57db7f4d9d405dc920c549f2524bbf02 (patch)
tree8d4b5d664b3eecd2a2d08752486dcfa527a9af88 /dev-R/tinytex/tinytex-0.40.ebuild
parent252955d97f6158b3da6e4df0ad6fb2c9bebf259b (diff)
downloadbaldeagleos-repo-5d4c09bc57db7f4d9d405dc920c549f2524bbf02.tar.gz
baldeagleos-repo-5d4c09bc57db7f4d9d405dc920c549f2524bbf02.tar.xz
baldeagleos-repo-5d4c09bc57db7f4d9d405dc920c549f2524bbf02.zip
Adding metadata
Diffstat (limited to 'dev-R/tinytex/tinytex-0.40.ebuild')
-rw-r--r--dev-R/tinytex/tinytex-0.40.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-R/tinytex/tinytex-0.40.ebuild b/dev-R/tinytex/tinytex-0.40.ebuild
new file mode 100644
index 000000000000..2e8459972d2d
--- /dev/null
+++ b/dev-R/tinytex/tinytex-0.40.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit R-packages edo
+
+DESCRIPTION='Helper Functions to Install and Maintain TeX Live, and Compile LaTeX Documents'
+KEYWORDS="~amd64"
+LICENSE='MIT'
+RESTRICT="!test? ( test )"
+IUSE="test"
+
+DEPEND="
+ dev-R/xfun
+ test? (
+ dev-R/testit
+ )
+"
+
+SUGGESTED_PACKAGES="
+ dev-R/testit
+ dev-R/rstudioapi
+"
+
+src_test() {
+ cd "${WORKDIR}/${P}/tests" || die
+ R_LIBS="${T}/R" edo Rscript --vanilla test-cran.R
+}